SF2R(4)

NAME
sf2r - SoundForte RadioLink SF16-FMR2 FM radio device

SYNOPSIS
sf2r0 at isa? port 0x384 flags 0x00
radio* at sf2r?

DESCRIPTION
The sf2r driver provides support for the SF16-FMR2 FM radio tuners.

The SF16-FMR2 is a stereo FM tuner that can tune in the range 87.5 - 108.0 MHz, report signal status on the current frequency, force audio output to mono, perform hardware signal search, and has an internal AFC.

The card is based on the TEA5757 chip; see radio(4) for details.

The SF16-FMR2 cards take only one I/O port. The I/O port is set by the driver to the value specified in the configuration file and must be 0x384.

The flags control the driver behavior. For example, with flags 0x01 the driver will assume that there is a TEA5759 chip.

MediaForte made two variants of the SF16-FMR2 cards, the first one has an internal amplifier (PT2254A chip) of the output sound, the second one does not have such an amplifier. The current driver supports both variants.

SEE ALSO
intro(4), isa(4), radio(4), radio(9)

HISTORY
The sf2r device driver appeared in OpenBSD 3.0.

AUTHORS
-nosplit The sf2r driver was written by Vladimir Popov <jumbo@narod.ru> and Maxim Tsyplakov <tm@oganer.net>. The man page was written by Vladimir Popov <jumbo@narod.ru>.